%define upstream_name    Scope-Upper
%define upstream_version 0.32

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Act on upper scopes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Scope/%{upstream_name}-%{upstream_version}.tar.gz

%{?perl_default_filter}

BuildRequires: perl(Config)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(base)
BuildRequires: perl-devel
%description
This module lets you defer actions _at run-time_ that will take place when
the control flow returns into an upper scope. Currently, you can:

* *

  hook an upper scope end with the /reap manpage ;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README samples
%{_mandir}/man3/*
%{perl_vendorarch}/*


%changelog
* Wed Jun 17 2020 umeabot <umeabot> 0.320.0-4.mga8
+ Revision: 1595155
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.320.0-3.mga8
+ Revision: 1529251
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tv <tv> 0.320.0-2.mga8
+ Revision: 1433193
- rebuild with perl-5.30

* Mon Jul 08 2019 tv <tv> 0.320.0-1.mga8
+ Revision: 1419631
- update to 0.32

* Fri Sep 21 2018 umeabot <umeabot> 0.310.0-2.mga7
+ Revision: 1293750
- Mageia 7 Mass Rebuild

* Mon Aug 27 2018 tv <tv> 0.310.0-1.mga7
+ Revision: 1254978
- update to 0.31

* Wed Aug 08 2018 pterjan <pterjan> 0.300.0-2.mga7
+ Revision: 1249882
- Rebuild for perl 5.28

* Mon Nov 06 2017 tv <tv> 0.300.0-1.mga7
+ Revision: 1176183
- update to 0.30

* Tue Oct 03 2017 tv <tv> 0.290.0-3.mga7
+ Revision: 1166415
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.290.0-2.mga7
+ Revision: 1149137
- Rebuild for perl ABI changes

* Mon Jul 24 2017 sander85 <sander85> 0.290.0-1.mga7
+ Revision: 1130048
- update to 0.29
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.280.0-3.mga6
+ Revision: 1033013
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.280.0-2.mga6
+ Revision: 957951
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 0.280.0-1.mga6
+ Revision: 868656
- update to 0.28

* Fri Jun 26 2015 tv <tv> 0.270.0-2.mga6
+ Revision: 845217
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.270.0-1.mga6
+ Revision: 841365
- update to 0.27

* Wed Oct 15 2014 umeabot <umeabot> 0.240.0-6.mga5
+ Revision: 745616
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.240.0-5.mga5
+ Revision: 733370
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.240.0-4.mga5
+ Revision: 686174
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.240.0-3.mga5
+ Revision: 631662
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.240.0-2.mga4
+ Revision: 534320
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 sander85 <sander85> 0.240.0-1.mga4
+ Revision: 477280
- update to 0.24

* Sun Sep 08 2013 sander85 <sander85> 0.230.0-1.mga4
+ Revision: 476035
- update to 0.23

* Fri Jun 07 2013 jquelin <jquelin> 0.220.0-1.mga4
+ Revision: 439863
- update to 0.22

* Wed May 29 2013 jquelin <jquelin> 0.210.0-3.mga4
+ Revision: 431739
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.210.0-2.mga3
+ Revision: 372551
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 jquelin <jquelin> 0.210.0-1.mga3
+ Revision: 298105
- update to 0.21

* Wed Sep 05 2012 kharec <kharec> 0.190.0-1.mga3
+ Revision: 288524
- update to 0.19

* Wed May 30 2012 jquelin <jquelin> 0.180.0-2.mga3
+ Revision: 251095
- rebuild for perl 5.16

* Fri Oct 14 2011 jquelin <jquelin> 0.180.0-1.mga2
+ Revision: 154840
- update to 0.18
- update to 0.15

* Sun Jun 12 2011 sander85 <sander85> 0.140.0-2.mga2
+ Revision: 104953
- Rebuild for perl 5.14

* Mon Feb 28 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 61512
- update to 0.14

* Sat Jan 22 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 31135
- mageia rebuild
- imported package perl-Scope-Upper


* Thu Dec 30 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.130.0-1mdv2011.0
+ Revision: 626241
- new version

* Fri Dec 03 2010 Shlomi Fish <shlomif@mandriva.org> 0.120.0-1mdv2011.0
+ Revision: 607543
- import perl-Scope-Upper

